Page MenuHomeVyOS Platform

Set source-validation on bond vif don't work
Closed, ResolvedPublic

Description

hi,

I have the following configuration:

....
set firewall source-validation disable
...
set interfaces bonding bond0 vif 310 ip source-validation strict
...

commit worked fine but it is still zero in /proc/sys/net/ipv4/conf/bond0.310/rp_filter

Details

Difficulty level
Unknown (require assessment)
Version
1.2.4
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

rherold created this task.Feb 20 2020, 7:33 PM
rherold created this object in space S1 VyOS Public.
pasik added a subscriber: pasik.Feb 20 2020, 9:24 PM
c-po changed the task status from Open to Backport candidate.Feb 21 2020, 4:03 PM
c-po assigned this task to rherold.
c-po edited projects, added VyOS 1.3 Equuleus; removed VyOS-1.2.0-GA.
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.
c-po moved this task from Finished to Backport Candidates on the VyOS 1.3 Equuleus board.
c-po added a project: Ready for Crux (1.2.x).
syncer changed the task status from Backport candidate to Backport pending.Apr 12 2020, 1:07 PM
syncer reassigned this task from rherold to dmbaturin.
syncer moved this task from Backlog to In Progress on the VyOS 1.2 Crux (VyOS 1.2.5) board.
dmbaturin closed this task as Resolved.Apr 12 2020, 1:10 PM